function analyticsSend(event,extra){
    var dataObject = new Object();
    var urlParams = new Object();
    switch(event){
        case "page-loaded" :
            dataObject.pageId = $("body")[0].id;
            dataObject.isLogin = getStorage().userInfo ? 1 : 0;
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.time = FormatDate(new Date());
            urlParams = "event=page-loaded" 
                        + "&pageId=" + dataObject.pageId 
                        + "&isLogin=" + dataObject.isLogin 
                        + "&userId=" + dataObject.userId 
                        + "&time=" + dataObject.time;
            break;
        case "page-leaved" :
            dataObject.pageId = $("body")[0].id;
            dataObject.isLogin = getStorage().userInfo ? 1 : 0;
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.time = FormatDate(new Date());
            dataObject.duration = cdFormat(parseInt((new Date().getTime() - window.startTime)/1000));
            urlParams = "event=page-leaved" 
                        + "&pageId=" + dataObject.pageId 
                        + "&isLogin=" + dataObject.isLogin 
                        + "&time=" + dataObject.time 
                        + "&duration=" + dataObject.duration;
            break;
        case "app-start" : //未完成
            dataObject.appVerCode = getStorage().appInfo ? getStorage().appInfo.appVersionCode : "0";
            dataObject.appVerName = getStorage().appInfo ? getStorage().appInfo.appVersionName : "";
            dataObject.appChannel = getStorage().appInfo ? getStorage().appInfo.appChannel : "";
            dataObject.appSubChannel = getStorage().appInfo ? getStorage().appInfo.appSubChannel : "";
            dataObject.time = FormatDate(new Date());
            urlParams = "event=app-start" 
                        + "&appVerCode=" + dataObject.appVerCode 
                        + "&appVerName=" + dataObject.appVerName 
                        + "&appChannel=" + dataObject.appChannel 
                        + "&appSubChannel=" + dataObject.appSubChannel 
                        + "&time=" + dataObject.time;
            break;
        case "voicegroup-create" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().vgData ? getStorage().vgData.eventId : "";
            dataObject.matchName = getStorage().vgData ? getStorage().vgData.voiceName : "";
            dataObject.matchCategory = extra ? extra.matchCategory : "";
            dataObject.time = FormatDate(new Date());
            dataObject.success = getStorage().vgData ? 1 : 0;
            dataObject.number = extra ? extra.number : "";
            urlParams = "event=voicegroup-create" 
                        + "&userId=" + dataObject.userId 
                        + "&matchId=" + dataObject.matchId 
                        + "&matchName=" + dataObject.matchName 
                        + "&matchCategory=" + dataObject.matchCategory 
                        + "&time=" + dataObject.time
                        + "&success=" + dataObject.success
                        + "&number=" + dataObject.number;
            break;
        case "voicegroup-join" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().vgData ? getStorage().vgData.eventId : "";
            dataObject.matchName = getStorage().vgData ? getStorage().vgData.voiceName : "";
            dataObject.matchCategory = extra ? extra.matchCategory : "";
            dataObject.time = FormatDate(new Date());
            dataObject.success = getStorage().vgData ? 1 : 0;
            dataObject.number = extra ? extra.number : "";
            urlParams = "event=voicegroup-join" 
                        + "&userId=" + dataObject.userId 
                        + "&matchId=" + dataObject.matchId 
                        + "&matchName=" + dataObject.matchName 
                        + "&matchCategory=" + dataObject.matchCategory 
                        + "&time=" + dataObject.time
                        + "&success=" + dataObject.success
                        + "&number=" + dataObject.number;
            break;
        case "voicegroup-leave" :
            dataObject.time = FormatDate(new Date());
            extra ? $.extend(dataObject,extra) : "";
            urlParams = "event=voicegroup-join"  
                        + "&time=" + dataObject.time
                        + "&extra=" + dataObject.extra;
            break;
        case "event-senddanmaku" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().eventData ? getStorage().eventData.id : "";
            dataObject.matchName = getStorage().eventData ? getStorage().eventData.keyword : "";
            dataObject.matchCategory = getStorage().eventData ? getStorage().eventData.eventTypeName : "";
            dataObject.chatId = getStorage().chatroom.chatId ? getStorage().chatroom.chatId : "";
            dataObject.time = FormatDate(new Date());
            dataObject.length = extra ? extra.length || "" : "";
            dataObject.text = extra ? extra.text || "" : "";
            urlParams = "event=event-senddanmaku"  
                        + "&userId=" + dataObject.userId
                        + "&matchId=" + dataObject.matchId
                        + "&matchName=" + dataObject.matchName
                        + "&matchCategory=" + dataObject.matchCategory
                        + "&chatId=" + dataObject.chatId
                        + "&time=" + dataObject.time
                        + "&text=" + dataObject.text
                        + "&length=" + dataObject.length;
            break;
        case "event-sendmagic" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().eventData ? getStorage().eventData.id : "";
            dataObject.matchName = getStorage().eventData ? getStorage().eventData.keyword : "";
            dataObject.matchCategory = getStorage().eventData ? getStorage().eventData.eventTypeName : "";
            dataObject.chatId = getStorage().chatroom.chatId ? getStorage().chatroom.chatId : "";
            dataObject.time = FormatDate(new Date());
            dataObject.magicId = extra ? extra.magicId || "" : "";
            urlParams = "event=event-sendmagic"  
                        + "&userId=" + dataObject.userId
                        + "&matchId=" + dataObject.matchId
                        + "&matchName=" + dataObject.matchName
                        + "&matchCategory=" + dataObject.matchCategory
                        + "&chatId=" + dataObject.chatId
                        + "&time=" + dataObject.time
                        + "&magicId=" + dataObject.magicId;
            break;
        case "event-joingame" : //未完成
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().eventData ? getStorage().eventData.id : "";
            dataObject.matchName = getStorage().eventData ? getStorage().eventData.keyword : "";
            dataObject.matchCategory = getStorage().eventData ? getStorage().eventData.eventTypeName : "";
            dataObject.time = FormatDate(new Date());
            dataObject.gameId = getStorage().actInfo.interactId;
            dataObject.gameEventId = getStorage().actInfo.eventInteractId;
            urlParams = "event=event-joingame"  
                        + "&userId=" + dataObject.userId
                        + "&matchId=" + dataObject.matchId
                        + "&matchName=" + dataObject.matchName
                        + "&matchCategory=" + dataObject.matchCategory
                        + "&time=" + dataObject.time
                        + "&gameId=" + dataObject.gameId
                        + "&gameEventId=" + dataObject.gameEventId;
            break;
        case "mflink-connected" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.time = FormatDate(new Date());
            urlParams = "event=mflink-connected"  
                        + "&userId=" + dataObject.userId
                        + "&time=" + dataObject.time;
            break;
        case "mflink-startdanmaku" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().eventData ? getStorage().eventData.id : "";
            dataObject.matchName = getStorage().eventData ? getStorage().eventData.keyword : "";
            dataObject.matchCategory = getStorage().eventData ? getStorage().eventData.eventTypeName : "";
            dataObject.time = FormatDate(new Date());
            dataObject.success = extra ? extra.success : "";
            urlParams = "event=mflink-startdanmaku"  
                        + "&userId=" + dataObject.userId
                        + "&matchId=" + dataObject.matchId
                        + "&matchName=" + dataObject.matchName
                        + "&matchCategory=" + dataObject.matchCategory
                        + "&time=" + dataObject.time
                        + "&success=" + dataObject.success;
            break;
        case "mflink-disconnected" :
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.time = FormatDate(new Date());
            urlParams = "event=mflink-disconnected"  
                        + "&userId=" + dataObject.userId
                        + "&time=" + dataObject.time;
            break;
        case "event-share" : //未完成
            dataObject.userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
            dataObject.matchId = getStorage().eventData ? getStorage().eventData.id : "";
            dataObject.matchName = getStorage().eventData ? getStorage().eventData.keyword : "";
            dataObject.matchCategory = getStorage().eventData ? getStorage().eventData.eventTypeName : "";
            dataObject.time = FormatDate(new Date());
            dataObject.channel = extra ? extra.channel : "";
            dataObject.success = extra ? extra.success : "";
            urlParams = "event=event-share"  
                        + "&userId=" + dataObject.userId
                        + "&matchId=" + dataObject.matchId
                        + "&matchName=" + dataObject.matchName
                        + "&matchCategory=" + dataObject.matchCategory
                        + "&time=" + dataObject.time
                        + "&channel=" + dataObject.channel
                        + "&success=" + dataObject.success;
            break;
        case "event-login" :
            dataObject.userId = extra ? extra.userId : "";
            dataObject.type = extra ? extra.type : "";
            dataObject.time = FormatDate(new Date());
            dataObject.success = extra ? extra.success : "";
            urlParams = "event=event-login"  
                        + "&userId=" + dataObject.userId
                        + "&type=" + dataObject.type
                        + "&time=" + dataObject.time
                        + "&success=" + dataObject.success;
            break;
    }
    
    sendToDanDanTV(urlParams);

    // 发送自定义的统计事件
    analytics.send({
        // 事件名称
        event: event,
        // 事件属性，任意数据
        attr: dataObject
    }, function(result) {
        if (result) {
            //alert('统计数据发送成功！');
        }
    });
}

function FormatDate (date) {
    return date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate()+" "+(date.getHours() < 10 ? "0"+date.getHours() : date.getHours())+":"+(date.getMinutes() < 10 ? "0"+date.getMinutes() : date.getMinutes());
}


function sendToDanDanTV (urlParams) {

    var verName = getStorage().appInfo ? getStorage().appInfo.appVersionName : "";
    var verCode = getStorage().appInfo ? getStorage().appInfo.appVersionCode : "0";
    var channel = getStorage().appInfo ? getStorage().appInfo.appChannel : "";
    var subChannel = getStorage().appInfo ? getStorage().appInfo.appSubChannel : "";
    var platForm = "iOS"
    if (!mui.os.ios) {
        platForm = "Android"
    };
    // 猫范后台日志反馈
    $.ajax({
        url:"http://feedback.dandantv.com/dandantvandroid/?" + "verName=" + verName + "&verCode=" + verCode + "&channel=" + channel + "&subChannel=" + subChannel + "&platForm=" + platForm + "&" + urlParams,
        type:"post",
        success:function(data) {
            // alert(" success " + data.message);
        }, error: function(request, error, status){ 
            // alert(" error " + request);
        }, complete: function(request, error, status){  
            // alert(" complete " + request);
        } 
    })
}
