mui.init();
mui.ready(function() {
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {
	emotionViewInit();
	emotionPostType();
}

function emotionViewInit(){
	var emotionData = getStorage().emotionData;
	//var emotionData = {
	//	id : "7",
	//	title : "愤怒的西红柿君",
	//	picUrl : "demo/face1Gif.gif",
	//	staticPic : "demo/face1Static.jpg",
	//	smallPic : "demo/face1.jpg",
	//	intro : "愤怒的西红柿已经怒不可遏了！<br/>请将您的手机当做西红柿一样用力“丢”出去<br/><br/>TIPS: 请不要真的把手机丢出去哦 &gt;.&lt;",
	//	sendType : 0,
	//	showType : 0,
	//	userLevel : null,
	//	createTime : 1456106171000,
	//	updateTime : 1456106171000,
	//	isValid : 1,
	//	isChoosed : null,
	//	times : 999,
	//	usedTimes : 3
	//}
	$(".emotionName").text(emotionData.title);
	$("#emotionTimes").text(emotionData.times - emotionData.usedTimes);
	$("#emotionPic").css({"background-image":"url("+emotionData.staticPic+")"});
	$("#emotionIntro").html(emotionData.intro);
}

function emotionPostType(){
	var emotionData = getStorage().emotionData;
	switch(emotionData.sendType){
		case 0 :
			emotionPost_shake(); //摇晃发送
			break;
		case 1 :
			emotionPost_click(); //点击发送
			break;
		default :
			break;
	}
}

function emotionPost_shake(){
	var dynTotal = 0;
	var dynLock = false;
	var emotionData = getStorage().emotionData;
	var remainTime = emotionData.times - emotionData.usedTimes;

	watchID = navigator.accelerometer.watchAcceleration(function(acceleration){
		var x = parseInt(Math.abs(acceleration.x));
		var y = parseInt(Math.abs(acceleration.y));
		var z = parseInt(Math.abs(acceleration.z));
		var dyn = x+y+z;

		// 调整发送表情所需要的数值，有的手机精度不够，数值可能不会太高
		if(dyn > 35 && !dynLock){
			dynTotal ++;
			if(dynTotal >= 1){
				dynLock = true;
				var params = {
					userId : getStorage().userInfo.userId,
					eventId : getStorage().eventData.id,
					magicId : emotionData.id,
					timestamp : (new Date()).getTime()
				}

				if (remainTime <= 0) {
					mui.alert("此表情剩余次数为0，换个表情试试吧。");
					return ;
				};

				cordova.exec(function(sign){
					params.sign = sign;
					$.ajax({
						url:"http://"+domain+"/api/usereventmagic/emotion-send",
						type:"post",
						dataType:"json",
						data:params,
						async:true,
						cache:false,
						success:function(data) {
							if(data.result && data.code == "000"){
								navigator.vibrate(300);
								window.plugins.toast.show('使用一次', 'short', 'center');
								$("#emotionTimes").text(--remainTime);
								var extra = new Object();
								extra.id = getStorage().userInfo.userId;
								extra.name = getStorage().userInfo.nickName || getStorage().userInfo.userId;
								extra.prt = getStorage().userInfo.userIcon || 'images/prtDefault.jpg';
								extra.type = "emotion";
								extra.showType = emotionData.showType || 0;
								extra.magic = emotionData.title;
								chatroomSpeak({text:'[:magic:'+emotionData.id+']',extra:JSON.stringify(extra)});
								setTimeout(function(){
									dynTotal = 0;
									dynLock = false;
								},1000)
							}
							else{
								mui.alert(data.message);
							}
						}
					})
				},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
			}
		}
	}, function(){
		mui.alert("您的手机不支持重力感应");
	}, { frequency: 100 });
}

function emotionPost_click(){

}