// window.domain = "test.cofmall.com"; /*test.cofmall.com*/ /*api.dandantv.com*/
window.domain = "api-11.dandantv.com"; /*test.cofmall.com*/ /*api.dandantv.com*/
//window.domain2 = "sports.dlruijin.com"; /*sports.dlruijin.com*/ /*api.dandantv.com*/
window.domain2 = "api2-1.dandantv.com"; /*sports.dlruijin.com*/ /*api2.dandantv.com*/

mui.init({
	keyEventBind: {
		backbutton: false  //关闭back按键监听
	}
});

$(function(){
	//公共deviceready
	document.addEventListener("deviceready", onDeviceReadyCommon, false);
})

var isSpeaken = false; // 是否发送过消息的标志位
function onDeviceReadyCommon(){
	isSpeaken = false; // 每次进入复位标志位
	cmnDataInit();
	cmnBindInit();
	cmnAjaxInit();
	cmnStyleInit();
	cmnEventRecover();
	//大图推荐-启动推荐
    startCommendPush();
}

//公共数据初始化
function cmnDataInit(){
	getServerTime();
	getDeviceInfo();
	getChatroomToken();
	getAppInfo();
	getSystemKey();
	getEventOrderTag();
	getShieldFriends();
	getShieldSpeak();
	getIP();
	setSettingInfo();
	jpushInit();
	jpushBind();
	
	// act.js 中有更新，这里应该屏蔽
//	cordova.exec(function(result){
//		result = JSON.parse(result);
//		actInfo = result["actInfo"];
//		actArray = result["actArray"];
//		eventData = result["eventData"];
//		actInfo ? updateStorage("actInfo",actInfo) : "";
//		actArray ? updateStorage("actArray",actArray) : "";
//		eventData ? updateStorage("eventData",eventData) : "";
//	},null,"MFLinkManagerPlugin","getData",["actInfo","actArray","eventData"]);
}

//公共AJAX参数设置
function cmnAjaxInit(){
	$.ajaxSetup({
		timeout : 8000,
		complete : function(jqXHR,status){ //请求完成后最终执行参数
			if(status == 'timeout'){
				if($(".mui-toast-container.mui-active").length <= 0){
					mui.toast("请求超时",1000);
				}
			}
			else if(status == 'error'){
				if($(".mui-toast-container.mui-active").length <= 0){
					mui.toast("网络异常，请检查您的网络",3000);
				}
			}
			$(".mui-popup-button").last().removeClass("mui-disabled");
		}
	});
}

//APP界面设置
function cmnStyleInit(){
	StatusBar.show();
	StatusBar.overlaysWebView(true);
}

//事件恢复
function cmnEventRecover(){
	//讨论组
	recoverVoice();
}

//APP前台运行
function onResumeEvent(e){
	//讨论组
	recoverVoice();
	//清除APP角标
	appBadgeClear();
}
//APP后台运行
function onPauseEvent(e){
	//讨论组
	recoverVoice();
}
//连网
function onOnline(e){
	if($(".mui-bar .logo").length > 0){
		$(".mui-bar .logo").next(".mui-title").remove();
		$(".mui-bar .logo").show(); 
		$(".mui-bar .logo").css("display","block");
		location.reload(true);	
	}
	else{
		for(var i = 0; i < $(".mui-bar").length; i++){
			var titleDom = $(".mui-bar").eq(i).find(".mui-title");
			var title = titleDom.text();
			titleDom.text(title.replace("（未连接）",""));
		}
	}
}
//断网
function onOffline(e){
	if($(".mui-bar .logo").length > 0){
		$(".mui-bar .logo").after('<h1 class="mui-title">（未连接网络）</h1>');
		$(".mui-bar .logo").css("display","none");
		$(".mui-bar .logo").hide();
	}
	else{
		for(var i = 0; i < $(".mui-bar").length; i++){
			var titleDom = $(".mui-bar").eq(i).find(".mui-title");
			var title = titleDom.text();
			titleDom.text(title+"（未连接）");
		}
	}
}
//恢复-讨论组
function recoverVoice(){
	if(getStorage().vgData){
		//检测是否存在于当前讨论组
		var params = {
			vgid : getStorage().vgData.voiceId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/voice/vgus",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var userId = getStorage().userInfo.userId;
						var vgus = data.message;
						var isExist = false;
						for(var i = 0; i < vgus.length; i ++){
							if(userId == vgus[i].userId){
								isExist = true;
								break;
							}
						}
						if(isExist){ //如果存在则加入频道
							cordova.exec(function(result){ //当前已退出频道
								if(!parseInt(result)){
									var vgData = getStorage().vgData;
									createEngine(vgData.voiceId,getStorage().userInfo.userId,vgData.voiceName);
								}
							},null,"AgoraSDKPlugin","getState",[{"type":0}]);
						}
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
}

//清除APP角标
function appBadgeClear(){
	try{
		if(device.platform != "Android"){
			window.plugins.jPushPlugin.resetBadge();
		}
		else{
			window.plugins.jPushPlugin.clearAllNotification();
		}
	}
	catch(exception){
		mui.alert("Error:"+exception);
	}
}
//页面统计初始化
function analyticsInit(version,channel){
	window.analytics = AV.analytics({
		// 设置 AppId
		appId: 'j8xrDuFPUqL0mp12J1Tiwf8u-gzGzoHsz',

		// 设置 AppKey
		appKey: 'Bo95gwjJKgS6DMJWvPCo7PHN',

		// 你当前应用或者想要指定的版本号
		version: version,

		// 你当前应用的渠道或者你想指定的渠道
		channel: channel
	});
	//页面进出事件监听
	analyticsPage();
}

//统计页面事件监听
function analyticsPage(){
	analyticsSend("page-loaded");
	window.startTime = new Date().getTime();
	window.onbeforeunload = function(){
		analyticsSend("page-leaved");
	}
}

//是否重启APP
function appIsReset(){
	if(!getSessionStorage().appRun){
		var appInfoSt = setInterval(function(){
			if(getStorage().appInfo){
				analyticsSend("app-start");
				updateSessionStorage("appRun",true);
				clearInterval(appInfoSt);
			}
		},200)
	}
}

//公共事件绑定
function cmnBindInit(){
	document.addEventListener("resume", onResumeEvent, false); //APP前台运行
	document.addEventListener("pause", onPauseEvent, false); //APP后台运行
	document.addEventListener("online", onOnline, false); //连网
	document.addEventListener("offline", onOffline, false); //断网
	//是否重启APP
	appIsReset();

	// if (!mui.os.ios) 
	{
		//启动APP版本更新提示
		if(!getSessionStorage().update){
			$.ajax({
				url:"http://"+domain+"/api/app/force-update-info",
				type:"post",
				dataType:"json",
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var androidForceVersion = data.message.androidForceVersion;
						var iosForceVersion = data.message.iosForceVersion;
						var updateMsg = data.message.updateMsg;
						var appInfo = getStorage().appInfo || new Object();
						appInfo.androidForceVersion = androidForceVersion;
						appInfo.iosForceVersion = iosForceVersion;
						appInfo.updateMsg = updateMsg;
						updateStorage("appInfo",appInfo,true);
						cordova.exec(function(result){
							var appVersionCode = result;
							if((mui.os.android && parseFloat(appVersionCode) < parseFloat(androidForceVersion)) || (mui.os.ios && parseFloat(appVersionCode) < parseFloat(iosForceVersion))){
								cordova.exec(function(){
									updateStorage("autoUpdate",true,true);
									updateSessionStorage("update",true);
								},null,"ActivityManagerPlugin","checkUpdate",[]);
								top.location.href = "updateApp.html";
							}
						},null,"ActivityManagerPlugin","getAppVersionCode",[]);
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		}
	}
	//启动APP清除赛事缓存数据
	if(!getSessionStorage().eventsCache){
		var dandanStorage = getStorage();
		delete dandanStorage.eventArrayData;
		setStorage(dandanStorage);
		updateSessionStorage("eventsCache",true);
	}
	//更改安卓手机回退键动作
	var muiBack = mui.back;
	var backUp = function(message){
		if(message == "" || message == undefined){
			if ($('#view-wrap').length > 0 && viewApi.canBack()) { //如果view可以后退，则执行view的后退
				viewApi.back();
				navigator.accelerometer.clearWatch(watchID);
				if($(".mui-backdrop").length > 0){
					$(".mui-backdrop").show();
				}
			}
			else { //执行webview后退
				setTimeout(function(){
					if($("#pageIndex").length > 0){
						cordova.exec(null,null,"ActivityManagerPlugin","finishPressed",[]);
					}
					else{
						top.history.back();
					}
					//muiBack();
				},100)
			}
		}
	}
	mui.back = backUp;
	//安卓手机回退键动作事件注册
	cordova.addConstructor(function() {
		cordova.exec(backUp, null, "ActivityManagerPlugin", "onBackup", []);
	});
	//好友-查看详情
	$(".friendsList").delegate("li[data-info]","click",function(event){
		if(!$(event.target).hasClass("addBtn")){
			var userInfo = $(this).data("info");
			readUserDetail(userInfo);
		}
	})
	//好友-添加
	$("body").on("tap",".addFriend",function(event){
		event.preventDefault();
		$this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var friendId = $(this).data("friendid");
		var params = {
			userId : getStorage().userInfo.userId,
			friendId : friendId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(sign){
			params.sign = sign;
			$.ajax({
				url:"http://"+domain+"/api/friend/addFriend",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					mui('#popoverFriend').popover('hide');
					if(data.result && data.code == "000"){
						var friendItem = $(".friendsList>li[friendId="+friendId+"]");
						friendItem.find(".addFriend, .added").remove();
						friendItem.append('<span class="added">等待验证</span>');
						if($('#view-wrap').length > 0 && viewApi.canBack()){
							viewApi.back();
						}
						setTimeout(function(){
							$this.removeClass("disabled");
						},1000)
					}
					else{
						mui.alert(data.message);
						$this.removeClass("disabled");
					}
				},
				complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
					if(status == 'timeout'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("请求超时",1000);
						}
						$this.removeClass("disabled");
					}
					else if(status == 'error'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("网络异常，请检查您的网络",3000);
						}
						$this.removeClass("disabled");
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		return false;
	})
	//好友-接受
	$("body").on("tap",".acceptFriend",function(event){
		event.preventDefault();
		$this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var friendId = $(this).data("friendid");
		var params = {
			userId : getStorage().userInfo.userId,
			friendId : friendId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(sign){
			params.sign = sign;
			$.ajax({
				url:"http://"+domain+"/api/friend/acceptFriend",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					mui('#popoverFriend').popover('hide');
					if(data.result && data.code == "000"){
						if($("#pageFriendDetail").length > 0){
							var dandanStorage = getStorage();
							delete dandanStorage.addUserId;
							setStorage(dandanStorage);
							mui.alert(data.message, function(){
								top.location.href = "friendMine.html";
							})
						}
						else{
							var friendItem = $(".friendsList>li[friendId="+friendId+"]").filter(".itemAccept");
							friendItem.find(".acceptFriend, .added").remove();
							friendItem.append('<span class="added">已添加</span>');
							var friendInfo = friendItem.data("info");
							friendInfo.isFriend = 1;
							friendItem.data("info",friendInfo);
							$(".friendsList>li[friendId="+friendId+"]").filter(".itemAdd").remove();
							if($('#view-wrap').length > 0 && viewApi.canBack()){
								viewApi.back();
							}
							setTimeout(function(){
								$this.removeClass("disabled");
							},1000)
						}
					}
					else{
						mui.alert(data.message);
						$this.removeClass("disabled");
					}
				},
				complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
					if(status == 'timeout'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("请求超时",1000);
						}
						$this.removeClass("disabled");
					}
					else if(status == 'error'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("网络异常，请检查您的网络",3000);
						}
						$this.removeClass("disabled");
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		return false;
	})
	//好友-删除
	$("body").on("tap",".deleteFriend",function(event){
		event.preventDefault();
		$this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var friendId = $(this).data("friendid");
		var params = {
			userId : getStorage().userInfo.userId,
			friendId : friendId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(sign){
			params.sign = sign;
			$.ajax({
				url:"http://"+domain+"/api/friend/deleteFriend",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var friendItem = $(".friendsList>li[friendId="+friendId+"]");
						if(friendItem.prev().hasClass("mui-indexed-list-group") && friendItem.next().hasClass("mui-indexed-list-group")){
							friendItem.prev().remove();
						}
						friendItem.remove();
						$(".friendsList>li[data-info]").length <= 0 ? $(".mui-indexed-list-inner").addClass("empty") : $(".mui-indexed-list-inner").removeClass("empty");
						//修改本地屏蔽用户数据
						if(getStorage().shieldFriends){
							var shieldFriends = getStorage().shieldFriends;
							for(var i = 0; i < shieldFriends.length; i ++){
								if(shieldFriends[i] == friendId){
									shieldFriends = shieldFriends.del(i);
									break;
								}
							}
							updateStorage("shieldFriends",shieldFriends,true);
						}
						mui('#popoverFriend').popover('hide');
						mui.alert(data.message);
						viewApi.back();
					}
					else{
						mui('#popoverFriend').popover('hide');
						mui.alert(data.message);
					}
					$this.removeClass("disabled");
				},
				complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
					if(status == 'timeout'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("请求超时",1000);
						}
						$this.removeClass("disabled");
					}
					else if(status == 'error'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("网络异常，请检查您的网络",3000);
						}
						$this.removeClass("disabled");
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		return false;
	})
	//好友-屏蔽
	$("body").on("tap",".shieldFriend",function(event){
		event.preventDefault();
		$this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var friendId = $(this).data("friendid");
		var shield = $(this).find("label").text() == "屏蔽好友" ? 1 : 0;
		var params = {
			userId : getStorage().userInfo.userId,
			friendId : friendId,
			shield : shield,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/friend/shieldFriend",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var friendItem = $(".friendsList>li[friendId="+friendId+"]");
						var friendInfo = friendItem.data("info");
						friendInfo.isShield = friendInfo.isShield ? 0 : 1;
						friendItem.data("info",friendInfo);
						//修改本地屏蔽用户数据
						if(getStorage().shieldFriends){
							var shieldFriends = getStorage().shieldFriends;
							if(friendInfo.isShield){
								var isExist = itemIsExist(shieldFriends,friendId);
								if(!isExist){
									shieldFriends.push(friendId);
								}
							}
							else{
								for(var i = 0; i < shieldFriends.length; i ++){
									if(shieldFriends[i] == friendId){
										shieldFriends = shieldFriends.del(i);
										break;
									}
								}
							}
							updateStorage("shieldFriends",shieldFriends);
						}
						mui('#popoverFriend').popover('hide');
						mui.alert(data.message);
						viewApi.back();
					}
					else{
						mui('#popoverFriend').popover('hide');
						mui.alert(data.message);
					}
					$this.removeClass("disabled");
				},
				complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
					if(status == 'timeout'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("请求超时",1000);
						}
						$this.removeClass("disabled");
					}
					else if(status == 'error'){
						if($(".mui-toast-container.mui-active").length <= 0){
							mui.toast("网络异常，请检查您的网络",3000);
						}
						$this.removeClass("disabled");
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		return false;
	})
	//添加赛事预约
	mui(".eventList").on('tap','.bookConfirm',function(){
		var wrapElm = $(this).parents(".matchItem");
		var eventId = wrapElm.data("info").id;
		//var eventTag = wrapElm.data("info").eventOrderTVTag;
		if(getStorage().userInfo){
			var userId = getStorage().userInfo.userId;
			var deviceId = "";
		}
		else{
			var userId = "";
			var deviceId = getStorage().deviceInfo.deviceId;
		}
		var params = {
			userId : userId,
			deviceId : deviceId,
			eventId : eventId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/eventremind/remind-add",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						//更新手机赛事预约Tag
						var eventOrderTagArray = getStorage().eventOrderTagArray || new Object();
						eventOrderTagArray.push("event_order_phone_"+eventId);
						updateStorage("eventOrderTagArray",eventOrderTagArray);
						//通知电视更新赛事预约
						if(getStorage().linkData && getStorage().linkData.state == 2){
							updateTvOrderEvents();
						}

						wrapElm.addClass("isRemind");
						if($("#eventRemindNum").length > 0){
							$("#eventRemindNum").text($("#eventRemindList>.matchItem.isRemind").length > 0 ? "("+$("#eventRemindList>.matchItem.isRemind").length+")" : "");
						}
						if($("#pageIndex").length > 0){
							var eventArrayData = getStorage().eventArrayData;
							eventArrayData.typeData[eventArrayData.typeCur].listHtml = $("#eventList").html();
							updateStorage("eventArrayData",eventArrayData);
						}
						window.plugins.toast.show('预约成功！您将会收到'+wrapElm.data("info").homeTeamName+'VS'+wrapElm.data("info").awayTeamName+'的推送通知', 'short', 'bottom');
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		return false;
	})
	//取消赛事预约
	mui(".eventList").on('tap','.bookCancel',function(){
		var wrapElm = $(this).parents(".matchItem");
		var eventId = wrapElm.data("info").id;
		if(getStorage().userInfo){
			var userId = getStorage().userInfo.userId;
			var deviceId = "";
		}
		else{
			var userId = "";
			var deviceId = getStorage().deviceInfo.deviceId;
		}
		mui.confirm('您确定要取消对该赛事的预约吗？', '', ['否','是'], function(e) {
			if(e.index == 1){
				$(".mui-popup-button").last().addClass("mui-disabled");
				var params = {
					userId : userId,
					deviceId : deviceId,
					eventIds : eventId,
					timestamp : (new Date()).getTime()
				}
				cordova.exec(function(result){
					params.sign = result;
					$.ajax({
						url:"http://"+domain+"/api/eventremind/remind-cancel",
						type:"post",
						dataType:"json",
						data:params,
						async:true,
						cache:false,
						success:function(data) {
							if(data.result && data.code == "000"){
								//更新手机赛事预约Tag
								var eventOrderTagArray = getStorage().eventOrderTagArray;
								for(var i = 0; i < eventOrderTagArray.length; i ++){
									var eTagArray = eventOrderTagArray[i].split("_");
									if(eTagArray[eTagArray.length-1] == eventId){
										eventOrderTagArray.splice(i,1);
										break;
									}
								}
								updateStorage("eventOrderTagArray",eventOrderTagArray);
								//通知电视取消赛事预约
								if(getStorage().linkData && getStorage().linkData.state == 2){
									updateTvOrderEvents();
								}

								wrapElm.removeClass("isRemind");
								if($("#eventRemindNum").length > 0){
									$("#eventRemindNum").text($("#eventRemindList>.matchItem.isRemind").length > 0 ? "("+$("#eventRemindList>.matchItem.isRemind").length+")" : "");
								}
								if($("#pageIndex").length > 0){
									var eventArrayData = getStorage().eventArrayData;
									eventArrayData.typeData[eventArrayData.typeCur].listHtml = $("#eventList").html();
									updateStorage("eventArrayData",eventArrayData);
								}
								window.plugins.toast.show('取消成功！您将不再收到该赛事的推送通知', 'short', 'bottom');
							}
							else{
								mui.alert(data.message);
							}
						}
					})
				},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
			}
		})
		return false;
	})
	//进入赛事讨论页
	mui(".eventList").on('tap','.matchItem',function(){
		changeChatroom($(this).data("info"));
		top.location.href = "match.html";
	})
	//极光推送监测
	document.addEventListener("jpush.openNotification", onOpenNotification, false);
	document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
	document.addEventListener("jpush.receiveMessage", onReceiveMessage, false);
}

//聊天室切换数据更新
function changeChatroom(edata){
	if(!getStorage().eventData){ //第一次进聊天室
		updateStorage("eventLastData",edata);
		updateStorage("eventData",edata);
	}
	else{
		updateStorage("eventLastData",getStorage().eventData);
		updateStorage("eventData",edata);
	}
}

//激光推送初始化
function jpushInit(){
	var onGetRegistradionID = function(data) {
		try{
			//alert("JPushPlugin:registrationID is "+data)
		}
		catch(exception){
			mui.alert("Error:"+exception);
		}
	}
	try{
		window.plugins.jPushPlugin.init();
		window.plugins.jPushPlugin.getRegistrationID(onGetRegistradionID);
		if(device.platform != "Android"){
			window.plugins.jPushPlugin.setDebugModeFromIos();
			window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
		}
		else{
			window.plugins.jPushPlugin.setDebugMode(true);
		}
	}
	catch(exception){
		mui.alert("Error:"+exception);
	}
}

//极光tag及alias绑定
//function jpushBind(){
//	if(getStorage().userInfo){
//		window.plugins.jPushPlugin.setAlias(getStorage().userInfo.userId);
//	}
//	else{
//		window.plugins.jPushPlugin.setAlias(getStorage().deviceInfo.deviceId);
//	}
//	var tagsArray = new Array();
//	if(getStorage().eventData){
//		var eventId = getStorage().eventData.id;
//		tagsArray.push("event_phone_"+eventId);
//		tagsArray.push("event_watching_phone_"+eventId);
//		tagsArray.push("message_phone_"+eventId);
//	}
//	if(getStorage().eventOrderTagArray){
//		tagsArray = tagsArray.concat(getStorage().eventOrderTagArray);
//	}
//	if(tagsArray.length <= 0 && mui.os.ios){
//		tagsArray = [","];
//	}
//	window.plugins.jPushPlugin.setTags(tagsArray);
//}

//极光tag及alias绑定
function jpushBind(){
	var tagsArray = new Array();
	if(getStorage().eventData){
		var eventId = getStorage().eventData.id;
		tagsArray.push("event_phone_"+eventId);
		tagsArray.push("event_watching_phone_"+eventId);
		tagsArray.push("message_phone_"+eventId);
	}
	if(getStorage().eventOrderTagArray){
		tagsArray = tagsArray.concat(getStorage().eventOrderTagArray);
	}
	if(getStorage().userInfo){
		if(tagsArray.length <= 0 && mui.os.ios){
			window.plugins.jPushPlugin.setAlias(getStorage().userInfo.userId);
		}
		else{
			window.plugins.jPushPlugin.setTagsWithAlias(tagsArray, getStorage().userInfo.userId);
		}
	}
	else{
		if(tagsArray.length <= 0 && mui.os.ios){
			window.plugins.jPushPlugin.setAlias(getStorage().deviceInfo.deviceId);
		}
		else{
			window.plugins.jPushPlugin.setTagsWithAlias(tagsArray, getStorage().deviceInfo.deviceId);
		}
	}
}

//获取sessionStorage
function getSessionStorage(){
	return sessionStorage.dandan ? JSON.parse(sessionStorage.dandan) : new Object();
}
//设置sessionStorage
function setSessionStorage(dandanStorage){
	sessionStorage.dandan = JSON.stringify(dandanStorage);
}
//更新sessionStorage
function updateSessionStorage(key,value){
	var dandanStorage = getSessionStorage();
	dandanStorage[key] = value;
	setSessionStorage(dandanStorage);
}

//获取localStorage
function getStorage(){
	return localStorage.dandan ? JSON.parse(localStorage.dandan) : new Object();
}
//设置localStorage
function setStorage(dandanStorage,noResetTag){
	localStorage.dandan = JSON.stringify(dandanStorage);
	if(!noResetTag){
		jpushBind();
	}
}
//更新localStorage
function updateStorage(key,value,noResetTag){
	var dandanStorage = getStorage();
	dandanStorage[key] = value;
	if(noResetTag){
		setStorage(dandanStorage,noResetTag);
	}
	else{
		setStorage(dandanStorage);
	}
}
//清除localStorage
function clearStorage(){
	var userId;
	if(getStorage().userInfo){
		userId = getStorage().userInfo.userId;
	}
	var dandanStorage = getStorage();
	dandanStorage.userInfo ? delete dandanStorage.userInfo : ""; //用户个人信息缓存数据
	dandanStorage.shieldFriends ? delete dandanStorage.shieldFriends : ""; //用户屏蔽信息缓存数据
	dandanStorage.eventData ? delete dandanStorage.eventData : ""; //当前观看赛事数据
	dandanStorage.eventLastData ? delete dandanStorage.eventLastData : ""; //上一个赛事数据
	dandanStorage.eventArrayData ? delete dandanStorage.eventArrayData : ""; //赛事列表缓存数据
	dandanStorage.eventOrderTagArray ? delete dandanStorage.eventOrderTagArray : ""; //赛事预约缓存数据
	dandanStorage.chatroomToken ? delete dandanStorage.chatroomToken : ""; //聊天室Token缓存数据
	delete dandanStorage.linkData;
	delete dandanStorage.settingInfo;
	setStorage(dandanStorage);
	if(getStorage().vgData && userId){
		var params1 = vgUserExitParams(userId);
		cordova.exec(function(sign){
			params1.sign = sign;
			vgUserExit(params1);
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params1]);
	}
	if(getStorage().chatroom && userId){
		var params2 = chatroomLeaveParams(getStorage().chatroom,userId);
		cordova.exec(function(sign){
			params2.sign = sign;
			chatroomLeave(params2);
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params2]);
	}
}

function onMessageSuccess(result){

}
function onMessageError(result){
	mui.alert("Error: "+result)
}
//通知电视端切换用户
function changeUser(token,userId,mobileDeviceId) {
	cordova.exec(onMessageSuccess,null,"MFLinkManagerPlugin","changeUser",[{"token":token,"userId":userId,"mobileDeviceId":mobileDeviceId}]);
}
//通知电视更新预约赛事 [{"eventId":23,"pushTag":"tagtest3"},{"eventId":24,"pushTag":"tagtest4"}]
function updateOrderEvents(events) {
	cordova.exec(null,null,"MFLinkManagerPlugin","updateOrderEvents",[{"events":events}]);
}
//通知电视添加预约赛事
function addOrderEvents(events) {
	cordova.exec(null,null,"MFLinkManagerPlugin","addOrderEvents",[{"events":events}]);
}
//通知电视取消预约赛事
function removeOrderEvents(events) {
	cordova.exec(null,null,"MFLinkManagerPlugin","removeOrderEvents",[{"events":events}]);
}
//通知电视加入语音聊天
function joinVoiceChannel(channelId,userId) {
	if(getStorage().linkData && getStorage().linkData.state == 2 && getStorage().vgData){
		cordova.exec(function(){
			var vgData = getStorage().vgData;
			vgData.linkConnected = true;
			updateStorage("vgData",vgData,true);
		},null,"MFLinkManagerPlugin","joinVoiceChannel",[{"channelId":channelId,"extraInfo":"","userId":userId,"requestAudio":true}]);
	}
}
//通知电视退出语音聊天
function leaveVoiceChannel() {
	if(getStorage().linkData && getStorage().linkData.state == 2 && getStorage().vgData){
		cordova.exec(function(){
			var vgData = getStorage().vgData;
			delete vgData.linkConnected;
			updateStorage("vgData",vgData,true);
		},null,"MFLinkManagerPlugin","leaveVoiceChannel",[]);
	}
}

//设置声音输出设备,value 1：扬声器；0：听筒
function setAudioOutput(type) {
	cordova.exec(null,null,"AgoraSDKPlugin","setAudioOutput",[{"value":type || 1}]);
}
//设置扬声器音量，0-255
function setSpeakerphoneVolume(value) {
	cordova.exec(null,null,"AgoraSDKPlugin","setSpeakerphoneVolume",[{"value":value}]);
}
//允许反馈音量，只有把这个打开，才可以获得用户说话的音量，每次 joinChannel 都需要设置 @param intervalMs 指定音量提示的间隔时间，<=0 禁用音量提示，>0 提示间隔，单位ms，建议不小于200ms,smooth 平滑系数，默认3即可
function enableAudioVolumeIndication(intervalMs, smooth) {
	cordova.exec(null,null,"AgoraSDKPlugin","enableAudioVolumeIndication",[{"intervalMs":intervalMs||2000,"smooth":smooth||3}]);
}
//程序开始必须先调用，创建 SDK 引擎，注意Key值
function createEngine(voiceId,userId,voiceName) {
	var voiceAppKey = getStorage().systemKey.voiceAppKey;
	cordova.exec(function(result){
		cordova.exec(function(){
			joinChannel(voiceId,userId,voiceName);
		},null,"AgoraSDKPlugin","createEngine",[{"key":result}]);
	},function(){
		mui.alert("解密失败")
	},"ActivityManagerPlugin","decryptAES",[{"value":voiceAppKey}]);
}
//加入指定的Channel,如果处于已经加入的状态，则退出后再加入。
function joinChannel(channel,uid,voiceName) {
	cordova.exec(function(){
		//通知电视加入语音聊天
		joinVoiceChannel(channel,uid);
		//setAudioOutput(1);
		setSpeakerphoneVolume(150);
		enableAudioVolumeIndication();
		if((getStorage().vgData.vgus)[0].userId != getStorage().userInfo.userId){
			window.plugins.toast.show('成功加入“'+voiceName+'”讨论组', 'short', 'bottom')
		}
	},null,"AgoraSDKPlugin","joinChannel",[{"channel":channel,"extraInfo":"","uid":uid,"requestAudioForcus":true}]);
}
//退出Channel断开链接
function leaveChannel(voiceName) {
	cordova.exec(function(){
		toggleMute(0);
		leaveVoiceChannel();
		var userInfo = getStorage().userInfo;
		if(userInfo){
			userInfo.isPhoneVoice = 1;
			userInfo.isTvVoice = 0;
			updateStorage("userInfo",userInfo,true);
			window.plugins.toast.show('已退出“'+voiceName+'”讨论组', 'short', 'bottom');
		}
		$(".iconBtnOpen").addClass("block");
		$(".iconBtnClose").removeClass("block");
	},null,"AgoraSDKPlugin","leaveChannel",[]);
}
//设置静音状态，同时标明为用户设置的
function setMuteState() {
	cordova.exec(function(){
		getMuteState();
	},null,"AgoraSDKPlugin","setMute",[]);
}
//用户是否设置静音状态
function getMuteState() {
	cordova.exec(function(result){
		if(result == "0"){
			$(".iconBtnOpen").addClass("block");
			$(".iconBtnClose").removeClass("block");
		}
		else{
			$(".iconBtnOpen").removeClass("block");
			$(".iconBtnClose").addClass("block");
		}
	},null,"AgoraSDKPlugin","getState",[{"type":2}]);
}

//获取通知内容
function onReceiveNotification(event){
	try{
		var message;
		var extras;
		var extra;
		var msgType;
		if(device.platform == "Android"){
			message = window.plugins.jPushPlugin.receiveNotification;
			extras = message.extras;
			extra = extras["cn.jpush.android.EXTRA"];
		}
		else{
			extra = event.extras;
		}
		msgType = extra.type;

		//语音讨论组中添加成员用户
		if(msgType == "ChatRoomAdd"){
			noticeChatRoomAdd(extra);
		}
		//添加好友
		else if(msgType == "AddFriend"){
			notice_AddFriend(extra);
		}
		//赛事预约提醒
		else if(msgType == "EventRemind"){
			notice_eventRemind(extra);
		}

	}
	catch(exception){
		mui.alert("JPushPlugin:onReceiveNotification-->"+exception);
	}
}

//获取点击通知内容
function onOpenNotification(event){
	try{
		var message;
		var extras;
		var extra;
		var msgType;
		if(device.platform == "Android"){
			message = window.plugins.jPushPlugin.openNotification;
			extras = message.extras;
			extra = extras["cn.jpush.android.EXTRA"];
		}
		else{
			extra = event.extras;
		}
		msgType = extra.type;

		//语音讨论组中添加成员用户
		if(msgType == "ChatRoomAdd"){
			noticeChatRoomAdd(extra);
		}
		//添加好友
		else if(msgType == "AddFriend"){
			notice_AddFriend(extra);
		}
		//赛事预约提醒
		else if(msgType == "EventRemind"){
			notice_eventRemind(extra);
		}
	}
	catch(exception){
		mui.alert("JPushPlugin:onOpenNotification-->"+exception);
	}
}

//获取自定义消息推送内容
function onReceiveMessage(event){
	try{
		var message;
		var extras;
		var extra;
		var msgType;
		if(device.platform == "Android"){
			message = window.plugins.jPushPlugin.receiveMessage;
			extras = message.extras;
			extra = extras["cn.jpush.android.EXTRA"];
		}
		else{
			extra = event.extras;
		}
		msgType = extra.type;

		//用户加入讨论组
		if(msgType == "UserJoinChatRoom"){
			if(getStorage().userInfo){
				if(getStorage().eventData){
					var eventId = getStorage().eventData.id;
				}
				if($("#pageMatch").length > 0 && extra.eventId == eventId){
					if(getStorage().vgData){
						var vgData = getStorage().vgData;
						vgData.eventId = extra.eventId;
						updateStorage("vgData",vgData,true);
						vgUsersGet();
					}
				}
			}
		}
		//用户退出讨论组
		else if(msgType == "UserExitChatRoom"){
			if(getStorage().userInfo){
				if(getStorage().eventData){
					var eventId = getStorage().eventData.id;
				}
				if($("#pageMatch").length > 0 && extra.eventId == eventId){
					if(getStorage().vgData){
						var vgData = getStorage().vgData;
						vgData.eventId = extra.eventId;
						updateStorage("vgData",vgData,true);
						vgUsersGet();
					}
				}
			}
		}
		//用户被移出讨论组
		else if(msgType == "UserShiftOutChatRoom"){
			if(getStorage().userInfo){
				//alert(JSON.stringify(extra))
				if(getStorage().eventData){
					var eventId = getStorage().eventData.id;
				}
				var userId = getStorage().userInfo.userId;
				var vgData = getStorage().vgData;
				var delUids = extra.delUids;
				var addUids = extra.addUids;
				var meIsExist = false;
				if(delUids.length > 0){ //移除
					delUids = delUids.split(",");
					meIsExist = itemIsExist(delUids,userId);
					//alert("我是否被移除: "+meIsExist)
					if(meIsExist && vgData){
						var params = vgUserExitParams(userId);
						cordova.exec(function(sign){
							params.sign = sign;
							if(vgUserExit(params)){
								if(userId != extra.friendId){
									window.plugins.toast.show('您已被'+extra.friendNickName+'从“'+extra.voiceName+'”讨论组中踢出', 'short', 'bottom');
								}
								if($("#pageMatch").length > 0 && extra.eventId == eventId){
									vgPanel();
								}
								else{
									$("#backMatch").hide();
								}
							}
						},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
					}
					else{
						if($("#pageMatch").length > 0 && extra.eventId == eventId && vgData){
							vgData.eventId = extra.eventId;
							updateStorage("vgData",vgData,true);
							vgUsersGet();
						}
					}
				}
				else if(addUids.length > 0){ //添加
					if($("#pageMatch").length > 0 && extra.eventId == eventId && vgData){
						vgData.eventId = extra.eventId;
						updateStorage("vgData",vgData,true);
						vgUsersGet();
					}
				}
			}
		}
		//聊天室ID变更
		else if(msgType == "EventRoomChanged"){
			if($("#pageMatch").length > 0 && getStorage().chatroom){
				var chatroom = getStorage().chatroom;
				if(chatroom.chatId != extra.newRongChatId){
					chatroom.id = extra.chatRoomId;
					chatroom.chatId = extra.newRongChatId;
					chatroom.chatName = extra.chatRoomName;
					updateStorage("chatroom",chatroom);
					chatroomJoin(true);
				}
			}
		}
		//赛事数据实时更新
		else if(msgType == "EventPush"){
			if($("#pageMatch").length > 0){
				var eventData = getStorage().eventData;
				if(eventData.id && extra.id && eventData.id == extra.id){
					$.extend(eventData, extra);
					updateStorage("eventData",eventData);
					matchInfoInit();
				}
			}
		}
		//互动开始通知
		else if(msgType == "Interact"){
			if($("#pageMatch").length > 0 && getStorage().eventData.id == extra.eventId){
				var actIsExist = false;
				var actArray = getStorage().actArray || new Array();
				for(var i = 0; i < actArray.length; i ++){
					if(actArray[i].eventInteractId == extra.eventInteractId){
						actIsExist = true;
						break;
					}
				}
				if(!actIsExist){
					var nowTime = (new Date()).getTime() - getStorage().timeDif;
					var startTime = parseInt(extra.startTime);
					var endTime = parseInt(extra.endTime);
					var remainTime = parseInt((endTime - nowTime)/1000);
					var actItem = new Object();
					actItem.startTime = startTime;
					actItem.endTime = endTime;
					actItem.interactStatus = extra.interactStatus;
					actItem.eventId = extra.eventId;
					actItem.interactId = extra.interactId;
					actItem.eventInteractId = extra.eventInteractId;
					actArray.push(actItem);
					updateStorage("actArray",actArray,true);
				}
				//alert("互动开始："+JSON.stringify(extra))
				//alert("互动开始_进行中的互动数据："+JSON.stringify(getStorage().actArray))
				mui.confirm('互动“'+extra.interactName+'”已经开始了，快来一起参与吧', ' ', ['忽略','参加'], function(e) {
					if(e.index == 1){
						$(".mui-popup-button").last().addClass("mui-disabled");
						var actInfo = $("#gridInteract>li[eventInteractId="+extra.eventInteractId+"]").data("info");
						actInfo.startTime = parseInt(extra.startTime);
						actInfo.endTime = parseInt(extra.endTime);
						cordova.exec(function(){
							if(device.platform === 'iOS') {
								top.location.href = extra.iosWapUrl;  //推送尚未增加 iosWapUrl 字段,临时用 wapUrl
							}
							else{
								top.location.href = extra.wapUrl;
							}
						},null,"MFLinkManagerPlugin","saveData",[{"actInfo":actInfo,"actArray":actArray,"eventData":getStorage().eventData}]);
					}
				})
			}
		}
		//互动结束通知
		else if(msgType == "InteractEnd"){
			if(($("#pageMatch").length > 0 || $("#pageInteract").length > 0) && getStorage().eventData.id == extra.eventId){
				interactOverTip(extra);
			}
		}
		//互动数据变动
		else if(msgType == "InteractChange"){
			if($("#pageMatch").length > 0 && getStorage().eventData.id == extra.eventId){
				getInteractList();
			}
		}
       //大图推荐-主动推送推荐
		else if(msgType == "CommendPush"){
			activeCommendPush(extra);
		}
	}
	catch(exception){
		mui.alert("JPushPlugin:onReceiveMessage-->"+exception);
	}
}

//互动结束提醒
function interactOverTip(extra){
	//alert("互动结束："+JSON.stringify(extra))
	//alert("互动结束_进行中的互动数据："+JSON.stringify(getStorage().actArray))
	var resultHtml = "";
	var mineSupportNum;
	var mineSupportTeam;
	var rivalSupportNum;
	var rivalSupportTeam;
	var actArray = getStorage().actArray || new Array();
	var actArrayNew;
	for(var i = 0; i < actArray.length; i ++){
		if(actArray[i].eventInteractId == extra.eventInteractId){
			if(actArray[i].hasJoin){
				if(actArray[i].isHome){
					mineSupportNum = parseInt(extra.homeSupportNum);
					mineSupportTeam = extra.homeTeamName;
					rivalSupportNum = parseInt(extra.awaySupportNum);
					rivalSupportTeam = extra.awayTeamName;
				}
				else{
					mineSupportNum = parseInt(extra.awaySupportNum);
					mineSupportTeam = extra.awayTeamName;
					rivalSupportNum = parseInt(extra.homeSupportNum);
					rivalSupportTeam = extra.homeTeamName;
				}
				if(mineSupportNum > rivalSupportNum){
					resultHtml = "恭喜您，"+mineSupportTeam+"队胜利了";
				}
				else if(mineSupportNum < rivalSupportNum){
					resultHtml = "抱歉，"+mineSupportTeam+"队失败了";
				}
				else if(mineSupportNum == rivalSupportNum){
					resultHtml = "太激烈了，"+mineSupportTeam+"队和"+rivalSupportTeam+"队竟然打成了平手";
				}
			}
			/*else{
				if(extra.homeSupportNum > extra.awaySupportNum){
					resultHtml = homeTeamName+"队胜利了";
				}
				else if(extra.homeSupportNum < extra.awaySupportNum){
					resultHtml = awayTeamName+"队胜利了";
				}
				else if(extra.homeSupportNum == extra.awaySupportNum){
					resultHtml = "太激烈了，"+homeTeamName+"队和"+awayTeamName+"队竟然打成了平手";
				}
			}*/
			actArrayNew = actArray.del(i);
			updateStorage("actArray",actArrayNew,true);
			if($("#pageMatch").length > 0){
				$("#gridInteract>li[eventInteractId="+extra.eventInteractId+"]").addClass("disabled");
			}
			break;
		}
	}
	if($("#pageInteract").length > 0){
		$("#interactTime").text("00:00");
		mui.alert(extra.message+'<br/>'+resultHtml,function(){
			history.back();
		})
	}
	else{
		mui.alert(extra.message+'<br/>'+resultHtml)
	}
}

//CD时间格式转换
function cdFormat(time){
	var timeFormat = null;
	var hour = 0;
	var minute = 0;
	var second = 0;
	if(time <= 0){
		timeFormat = "00:00";
	}
	else{
		minute = parseInt(time / 60);
		if(minute < 60) {
			second = parseInt(time % 60);
			timeFormat = unitFormat(minute) + ":" + unitFormat(second);
		}
		else {
			hour = parseInt(minute / 60);
			if (hour > 99){
				timeFormat = "99:59:59";
			}
			else{
				minute = parseInt(minute % 60);
				second = parseInt(time - hour * 3600 - minute * 60);
				timeFormat = unitFormat(hour) + ":" + unitFormat(minute) + ":" + unitFormat(second);
			}
		}
	}
	return timeFormat;
}
function unitFormat(i) {
	return (i >= 0 && i < 10) ? "0" + i : i;
}

//通知消息_语音讨论组中添加成员用户
function noticeChatRoomAdd(extra){
	if(!getStorage().userInfo){ //已退出
		mui.alert("通知已失效，请登录")
		return;
	}
	if(getStorage().userInfo.userId == extra.friendId){ //防止自己接受到通知
		return;
	}
	if(getStorage().vgData && getStorage().vgData.voiceId == extra.voiceId){ //已加入该讨论组
		mui.alert("您已加入<br/>“"+extra.voiceName+"”<br/>讨论组")
		return;
	}
	var voiceId = extra.voiceId;
	var voiceName = extra.voiceName;
	var nickName = extra.nickName;
	var eventId = extra.eventId;

	//先判断是否存在于该讨论组中
	var params1 = {
		vgid : voiceId,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(sign){
		params1.sign = sign;
		$.ajax({
			url:"http://"+domain+"/api/voice/vgus",
			type:"post",
			dataType:"json",
			data:params1,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var isExist = false;
					for(var i = 0; i < data.message.length; i ++){
						if(data.message[i].userId == getStorage().userInfo.userId){
							isExist = true;
							break;
						}
					}
					if(isExist){ //不存在该讨论组中
						mui.confirm(voiceName+'<br/>“'+(nickName||"群主")+'”<br/>邀请您一起参加讨论组', ' ', ['拒绝','接受'], function(e) {
							if(e.index == 1){
								$(".mui-popup-button").last().addClass("mui-disabled");
								if(getStorage().vgData && getStorage().vgData.voiceId != voiceId){
									mui.confirm('您已经在“'+getStorage().vgData.voiceName+'”比赛讨论组中，想加入新讨论组，必须退出当前讨论组', ' ', ['取消','确定'], 						function(e) {
										if(e.index == 1){
											$(".mui-popup-button").last().addClass("mui-disabled");
											setTimeout(function(){
												var params = vgUserExitParams();
												cordova.exec(function(sign){
													params.sign = sign;
													if(vgUserExit(params)){
														if($("#pageMatch").length > 0 && eventId == getStorage().eventData.id){
															vgIsPage(eventId,voiceId);
														}
														else{
															var vgData = new Object();
															vgData.voiceId = voiceId;
															vgData.eventId = eventId;
															updateStorage("vgData",vgData,true);
															var eventData = getStorage().eventData || new Object();
															eventData.id = extra.eventId;
															changeChatroom(eventData);
															top.location.href = "match.html";
														}
													}
												},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
											},100)
										}
									})
								}
								else{
									if($("#pageMatch").length > 0 && eventId == getStorage().eventData.id){
										vgIsPage(eventId,voiceId);
									}
									else{
										var vgData = new Object();
										vgData.voiceId = voiceId;
										vgData.eventId = eventId;
										updateStorage("vgData",vgData,true);
										var eventData = getStorage().eventData || new Object();
										eventData.id = extra.eventId;
										changeChatroom(eventData);
										top.location.href = "match.html";
									}
								}
							}
						})
					}
					else{
						mui.alert("通知已失效")
						return;
					}
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params1]);
}

//通知消息_添加好友查看好友详情
function notice_AddFriend(extra){
	if(!getStorage().userInfo){
		mui.alert("通知已失效，请登录")
		return;
	}
	var params = {
		userId : getStorage().userInfo.userId,
		friendId : extra.userId,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(sign){
		params.sign = sign;
		$.ajax({
			url:"http://"+domain+"/api/friend/friendInfo",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					if(data.message.isFriend){
						mui.alert(extra.nickName+"已添加你为好友")
					}
					else{
						var userId = extra.userId;
						var nickName = extra.nickName;
						mui.confirm('“'+nickName+'”<br/>添加您为好友', ' ', ['忽略','查看'], function(e) {
							if(e.index == 1){
								$(".mui-popup-button").last().addClass("mui-disabled");
								updateStorage("addUserId",userId,true);
								if($("#pageFriendDetail").length > 0){
									readUserAddDetail();
								}
								else{
									top.location.href = "friendDetail.html";
								}
							}
						})
					}
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//通知消息_赛事预约提醒
function notice_eventRemind(extra){
	var eventData = getStorage().eventData;
	if($("#pageMatch").length <= 0 || !eventData || (eventData.id && eventData.id != extra.eventId)){
		mui.confirm('您预约的赛事<br/>“'+extra.eventName+'”<br/>还有5分钟就要开始了', ' ', ['忽略','观看'], function(e) {
			if(e.index == 1){
				$(".mui-popup-button").last().addClass("mui-disabled");
				if(!eventData){
					eventData = new Object();
				}
				eventData.id = extra.eventId;
				changeChatroom(eventData);
				if($("#pageMatch").length > 0 ){
					// 没有这个方法，导致点击无反应
					// matchViewInit();
					// 直接跳转，尚不清楚是否会有其他问题
					top.location.href = "match.html";
					location.reload();
				}
				else{
					top.location.href = "match.html";
				}
			}
		})
	}
}

//查看好友详情_独立view
function readUserAddDetail(){
	var userId = getStorage().addUserId;
	var params = {
		userId : userId,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/user/userInfo",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var userInfo = data.message;
					userInfo.isFriend = 0;
					userInfo.addType = 2;
					userInfo.isShield = 0;
					readUserDetail(userInfo);
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//查看好友详情_内置view
function readUserDetail(userInfo){
	var userId = userInfo.friendId || userInfo.userId;
	$("#userPrt").attr("src",userInfo.userIcon || "images/prtDefault.jpg");
	$("#userName").text(userInfo.nickName || userId);
	$("#userSignature").text(userInfo.userSignature || "这家伙很懒，什么都没有留下");
	$("#addFriend,#shieldFriend,#deleteFriend").data("friendid",userId);
	if(userInfo.isFriend){
		$("#optFriend").show();
		$("#addFriend").hide();
	}
	else{
		$("#optFriend").hide();
		if(userInfo.addType == 2){
			$("#addFriend").show().text("通过验证").removeClass("addFriend").addClass("acceptFriend");
		}
		else{
			$("#addFriend").show().text("添加到通讯录").removeClass("acceptFriend").addClass("addFriend");
		}
	}
	userInfo.isShield ? $("#shieldFriend>label").text("取消屏蔽") : $("#shieldFriend>label").text("屏蔽好友");
	if($("#pageFriendDetail").length <= 0){
		viewApi.go("#view-userInfo");
	}
}

//通知电视更新赛事预约tag
function updateTvOrderEvents(){
	var eventOrderTagArray = getStorage().eventOrderTagArray || new Object();
	var eventTagsTV = new Array();
	for(var i = 0; i < eventOrderTagArray.length; i ++){
		var eTagArray = eventOrderTagArray[i].split("_");
		var eId = eTagArray[eTagArray.length-1];
		var eventTagTV = new Object();
		eventTagTV.eventId = eId;
		eventTagTV.pushTag = "event_order_TV_"+eId;
		eventTagsTV.push(eventTagTV);
	}
	updateOrderEvents(eventTagsTV);
}

//通知电视取消赛事预约tag
function deleteTvOrderEvents(eventId){
	var eventTagsTV = new Array();
	var eventTagTV = new Object();
	eventTagTV.eventId = eventId;
	eventTagTV.pushTag = "event_order_TV_"+eventId;
	eventTagsTV.push(eventTagTV);
	removeOrderEvents(eventTagsTV);
}
//大图推荐-启动推送推荐
function startCommendPush(){
	var params = {
		//eventId : getStorage().eventData.id,
		//pageNo : 1,
		//pageSize : 1000,
		//timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/commend/list",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data,status) {
				if(data.result && data.code == "000"){
					var commendShow = getSessionStorage().commendShow;
					var commendData = data.message.commend;
					if (!commendShow || commendShow != "1") {
						if(commendData.length > 0 && commendData[0].imageUrl){
							var html = constructHtml(commendData);
							$('#commendDiv').html(html);
							commendPushBind();	
						}else {
							$('#commendDiv').css("display","none");
						}			
					}
				    updateSessionStorage("commendShow","1");
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}
//构建大图推荐启动推荐的html
function constructHtml(data){		
		var len = 0;			
		var middleDivs = '';
		mui.each(data,function(index,item){
			var temp = ''
			+'<!-- 第'+index+'张 -->'
			+'<div class="mui-slider-item">'
			+'<a href="#">'
			+'<img class="commend_push_img" '
			+' _action="'+item.action+'"'
			+' _link="'+item.link+'"'
			+' _eventId="'+item.eventId+'"'
			+' _chatId="'+item.chatId+'"'
			+' onerror="src=\'images/404.jpg\'"'
			+' src="'+item.imageUrl+'">'
			+'</a>'
			+'</div>';			
			middleDivs = middleDivs +temp;		
			len = index;
		});
		//循环圆点
		var indicator = '<div class="mui-indicator mui-active"></div>';		
		for(i=0;i<len;i++){
			var temp = '<div class="mui-indicator"></div>';
			indicator = indicator +temp;	
		}
		//returnhtml结构
		var html = ''
		+'<span id="CommendClose">X</span>'
		+'<div id="CommendPush" class="mui-popover">'
		+'<style>.mui-backdrop {background-color:grey;z-index: 998;opacity: 0.7;} </style>'
		+'<div id="sliderCommendPush" class="mui-slider" >'
		+'<div class="mui-slider-group">'
		+'<img src="images/commendbackground.jpg" class="commend_bg_img" onerror="src=\'images/404.jpg\'"/>'
		+middleDivs
		+'</div>'
		+'<div class="mui-slider-indicator">'
		+'<!--点-->'
		+indicator
		+'</div>'
		+'</div>'
		+'</div>';
	    return html;
}

//大图推荐-主动推送推荐
function activeCommendPush(extra){
	var commendShow = getSessionStorage().commendShow;
	if (!commendShow || commendShow != "1") {
	var html = ''
		+'<div id="CommendPush" class="mui-popover">'
		+'<style>.mui-backdrop {background-color: rgba(0, 0, 0, .3);z-index: 998;}}</style>'
		+'<div class="commend_push-item">'
		+'<img class="commend_push_img" '
		+' _action="'+extra.action+'"'
		+' _link="'+extra.link+'"'
		+' _chatId="'+extra.chatId+'"'
		+' _eventId="'+extra.eventId+'"'
		+' onerror="src=\'images/404.jpg\'"'
		+' src="'+extra.imageUrl+'" />'
		+'</div>'                                               
		+'</div>';		
		$('#commendDiv').html(html);
		commendPushBind();
 }  
}
/*推荐大图html事件绑定*/
function commendPushBind(){
//做一个假的图层 时间到消失	
	setTimeout(function(){
		$(".commend_bg_img").css("display","none");
	},6000);
	mui("#sliderCommendPush").slider();
	mui('#CommendPush').popover('show');
	mui('body').on('tap','#CommendClose',function(){			
		mui('#CommendPush').popover('hide');
		$("#CommendPush").remove();
		$("#CommendClose").remove();
	});
	mui('body').on('tap','#CommendPush .commend_push_img',function(){
			var commend_action = this.getAttribute('_action');
			var commend_link = this.getAttribute('_link');
			var commend_eventId = this.getAttribute('_eventId');
			var commend_chatId = this.getAttribute('_chatId');
			$("#CommendPush").remove();
			$(".mui-backdrop").remove();
			$("#CommendClose").remove();
			commendPushAction(commend_action,commend_link,commend_eventId,commend_chatId);		
	});
	$(".mui-backdrop").on('tap',function(){			
			mui('#CommendPush').popover('hide');
			$("#CommendPush").remove();
			$("#CommendClose").remove();	
	});
};

//推荐图片动作处理
function commendPushAction(commend_action,commend_link,commend_eventId,commend_chatId){
	switch(commend_action){
		case 'link':
			if(commend_link){
				// top.location.href = commend_link;
				window.open(commend_link, '_blank', 'location=no,toolbar=yes')
			}
		break;
		case 'eventId':
			var eventData = getStorage().eventData || new Object();
			eventData.id = commend_eventId;
			changeChatroom(eventData);
			top.location.href = "match.html";		
		break;
		case 'chatId':
			var eventData = getStorage().eventData || new Object();
			eventData.id = commend_eventId;
			eventData.subRoomChatId = commend_chatId;
			eventData.appoint = 1
			changeChatroom(eventData);
			top.location.href = "match.html";	
		break;
	};	
};
//讨论组判断是否在讨论组相关的聊天室页面
function vgIsPage(eventId,voiceId){
	//alert(eventId+" "+getStorage().eventData.id)
	if(eventId == getStorage().eventData.id){
		//初始化麦克状态
		getMuteState();
		var params = vgUserJoinParams(voiceId);
		cordova.exec(function(sign){
			params.sign = sign;
			if(vgUserJoin(params)){
				vgUsersGet();
				//Android 需要先注册 onGetUserInfoList 方法
				getUserInfoList();
				onGetUserInfoList();
			}
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
	else{
		$("#backMatch").show();
		mui("body").on('tap','#backMatch',function(){
			var eventData = getStorage().eventData;
			eventData.id = eventId;
			changeChatroom(eventData);
			top.location.href = "match.html";
		})
	}
}

//讨论组加入参数获取
function vgUserJoinParams(vgid){
	return {
		uid : getStorage().userInfo.userId,
		vgid : vgid,
		timestamp : (new Date()).getTime()
	}
}

//讨论组加入
function vgUserJoin(params){
	var result = false;
	if(getStorage().vgData && getStorage().vgData.vgus){
		result = true;
	}
	else{
		$.ajax({
			url:"http://"+domain+"/api/voice/join",
			type:"post",
			dataType:"json",
			data:params,
			async:false,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					updateStorage("vgData",data.message,true);
					createEngine(getStorage().vgData.voiceId,getStorage().userInfo.userId,getStorage().vgData.voiceName);
					cordova.exec(function(result){ //如果是静音重置为非静音
						if(result == "1"){
							setMuteState();
						}
					},null,"AgoraSDKPlugin","getState",[{"type":2}]);
					result = true;
					//统计分析
					analyticsSend("voicegroup-join",{"matchCategory":getStorage().eventData.eventTypeName,"number":data.message.vgus.length});
				}
				else{
					result = false;
					mui.alert(data.message);
				}
			},
			complete : function(jqXHR,status){ //请求完成后最终执行参数
				if(status == 'timeout'){
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("请求超时",1000);
					}
					result = false;
				}
				else if(status == 'error'){
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("网络异常，请检查您的网络",3000);
					}
					result = false;
				}
				$(".mui-popup-button").last().removeClass("mui-disabled");
			}
		})
	}
	return result;
}

//讨论组退出参数获取
function vgUserExitParams(userId){
	var params;
	if(getStorage().vgData){
		userId = getStorage().userInfo ? getStorage().userInfo.userId : userId;
		params = {
			uid : userId,
			vgid : getStorage().vgData.voiceId,
			timestamp : (new Date()).getTime()
		}
	}
	return params;
}

//讨论组退出
function vgUserExit(params){
	var result;
	if(getStorage().vgData){
		$.ajax({
			url:"http://"+domain+"/api/voice/exit",
			type:"post",
			dataType:"json",
			data:params,
			async:false,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var vgData = getStorage().vgData;
					var dandanStorage = getStorage();
					delete dandanStorage.vgData;
					setStorage(dandanStorage);
					leaveChannel(vgData.voiceName);
					result = true;
					//统计分析
					var extra = new Object();
					extra.userId = params.userId;
					extra.matchId = vgData.voiceId;
					extra.matchName = vgData.voiceName;
					extra.matchCategory = vgData.eventTypeName;
					analyticsSend("voicegroup-leave",extra);
				}
				else{
					result = false;
					mui.alert(data.message);
				}
			},
			complete : function(jqXHR,status){ //请求完成后最终执行参数
				if(status == 'timeout'){
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("请求超时",1000);
					}
					result = false;
				}
				else if(status == 'error'){
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("网络异常，请检查您的网络",3000);
					}
					result = false;
				}
				$(".mui-popup-button").last().removeClass("mui-disabled");
			}
		})
	}
	else{
		result = true;
	}
	return result;
}

//聊天室离开参数获取
function chatroomLeaveParams(chatRoom,userId){
	var userId = getStorage().userInfo ? getStorage().userInfo.userId : userId;
	var params = {
		userId : userId,
		chatRoomId : chatRoom.id,
		timestamp : (new Date()).getTime()
	}
	return params;
}

//聊天室离开
function chatroomLeave(params){
	var result = false;
	$.ajax({
		url:"http://"+domain+"/api/chatroom/leave-room",
		type:"post",
		dataType:"json",
		data:params,
		async:false,
		cache:false,
		success:function(data) {
			if(data.result && data.code == "000"){
				var dandanStorage = getStorage();
				delete dandanStorage.chatRoom;
				setStorage(dandanStorage);
				result = true;
			}
			else{
				mui.alert(data.message);
				result = false;
			}
		}
	})
	return result;
}

//聊天室Token参数获取
function chatroomTokenParams(){
	if(getStorage().userInfo){
		var userId = getStorage().userInfo.userId;
		var deviceId = "";
	}
	else{
		var userId = "";
		var deviceId = getStorage().deviceInfo.deviceId;
	}
	var params = {
		userId : userId,
		deviceId : deviceId,
		timestamp : (new Date()).getTime()
	}
	return params;
}

//聊天室Token
function chatroomToken(params){
	var result = false;
	$.ajax({
		url:"http://"+domain+"/api/chatroom/get-token",
		type:"post",
		dataType:"json",
		data:params,
		async:false,
		cache:false,
		success:function(data) {
			if(data.result && data.code == "000"){
				var chatroomToken = new Object();
				chatroomToken.token = data.message.token;
				chatroomToken.tv_token = data.message.tv_token;
				chatroomToken.chatUserId = data.message.chatUserId;
				updateStorage("chatroomToken",chatroomToken,true);
				result = true;
			}
			else{
				mui.alert(data.message);
				result = false;
			}
		}
	})
	return result;
}

//聊天室Connect
function chatroomConnect(){
	RongCloudLibPlugin.connect({
		token: getStorage().chatroomToken.token
	},function(ret, err){
		if(ret){
			if (ret.status == 'success'){
				chatroomJoin();
			}
			else{
				mui.alert("融云服务器连接失败")
			}
		}
		else{
			if(err.msg && err.code){
				mui.alert('error:'+err.msg+" "+err.code);
			}
		}
	});
}

//聊天室Join
function chatroomJoin(idIsChanged){
	RongCloudLibPlugin.joinChatRoom({
		chatRoomId: getStorage().chatroom.chatId,
		defMessageCount: 20
	}, function (ret, err) {
		if(ret){
			if(ret.status == 'success'){
				if(getStorage().userInfo){
					chatroomEnter();
				}
				//聊天室Kick定时检测
				chatroomKick();
				//检测是否已连接设备
				if(!idIsChanged){
					checkIsConnected();
				}
			}
		}
		else{
			if(err.msg && err.code){
				mui.alert('error:'+err.msg+" "+err.code);
			}
		}
	});
}

// 是否需要审核
function isNeedReview(message) {
	if (JSON.parse(message.extra).type != "emotion" && JSON.parse(message.extra).type != "heartbeat") {
		return true;
	}else {
		return false;
	}
}


//聊天室发言
function chatroomSpeak(message) {
	if(message.text.length > 40) {
		mui.alert('不能超过40个字符');
		return;
	};

	var type = JSON.parse(message.extra).type;
	// 如果发送了非心跳数据，则设置标志位为 true
	if (type != "heartbeat") {
		isSpeaken = true; // 设置标志位	
	}

	if (isNeedReview(message)) {
		chatroomSpeakNeedReview(message);
		return;
	} 

	$("#saytext").val("");
	RongCloudLibPlugin.sendTextMessage({
			conversationType: 'CHATROOM',
			targetId: getStorage().chatroom.chatId,
			text: message.text,
			extra: message.extra
		}, function (ret, err) {
			if(ret){
				if (ret.status == 'prepare'){

				}
				else if (ret.status == 'success'){
					if($("#pageMatch").length > 0){
						var msg = new Object();
						msg.content = message;
						msg.senderUserId = getStorage().userInfo.userId;
						msg.sentTime = (new Date()).getTime();
						addBarrageHtml(msg);
					}
					//统计分析
					if(JSON.parse(message.extra).type == "emotion"){
						var str = message.text.split(":")[2];
						analyticsSend("event-sendmagic",{"magicId":str.substring(0,str.length-1)});
						// 1 表情
						completeTask(1);
					}
					else if(JSON.parse(message.extra).type == "heartbeat"){
						// heartbeat do nothing
					}
					else{
						analyticsSend("event-senddanmaku",{"text":message.text,"length":message.text.length});
						// 0 弹幕
						completeTask(0);
					}
				}
			}
			else{
				if(err.msg && err.code){
					mui.alert('error:'+err.msg+" "+err.code);
				}
			}
		});
}

//聊天室发言
function chatroomSpeakNeedReview(message) {
	if(message.text.length > 40) {
		mui.alert('不能超过40个字符');
		return;
	};
	$("#saytext").val("");
	var userInfo = getStorage().userInfo;
	// var eventData = getStorage().eventData;
	var eventChat = getStorage().chatroom;
	var params = {
		fromUserId: getStorage().userInfo.userId,
		toUserId: getStorage().chatroom.chatId,
		objectName: "RC:TxtMsg",
		content: {
			"content": message.text,
			"extra": message.extra
		},
		roomName:eventChat.chatName,
		nickName:userInfo.nickName || userInfo.userId,
		speakCon:message.text
	};
	
	cordova.exec(function(sign){
		params.sign = sign;
		$.ajax({
				url: "http://" + window.domain2 + "/APPInterface/Speakroom/examine",
				type: "post",
				dataType: "json",
				data: params,
				async: true,
				cache: false,
				success: function(data) {
					if($("#pageMatch").length > 0) {
						var msg = new Object();
						msg.content = message;
						msg.senderUserId = getStorage().userInfo.userId;
						msg.sentTime = (new Date()).getTime();
						addBarrageHtml(msg);
					}
					//统计分析
					if(JSON.parse(message.extra).type == "emotion") {
						var str = message.text.split(":")[2];
						analyticsSend("event-sendmagic", {
							"magicId": str.substring(0, str.length - 1)
						});
						// 1 表情
						completeTask(1);
					} else if(JSON.parse(message.extra).type == "heartbeat") {
						// heartbeat do nothing
					} else {
						analyticsSend("event-senddanmaku", {
							"text": message.text,
							"length": message.text.length
						});
						// 0 弹幕
						completeTask(0);
					}
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					mui.alert("Review: " + errorThrown);
				}
			})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//获取服务器时间戳
function getServerTime(){
	$.ajax({
		url:"http://"+domain+"/api/app/system-time-info",
		type:"post",
		dataType:"json",
		async:true,
		cache:false,
		success:function(data) {
			var timeDif = 0;
			if(data.result && data.code == "000"){
				timeDif = (new Date()).getTime() - data.message.current_server_time;
				if(getStorage().timeDif){
					timeDif = Math.abs(timeDif) < Math.abs(getStorage().timeDif) ? timeDif : getStorage().timeDif;
				}
			}
			else{
				timeDif = 0;
			}
			updateStorage("timeDif",timeDif,true);
		}
	})
}

//获取设备信息
function getDeviceInfo(){
	var deviceId = (device.uuid).replace(/-/g, "_");
	updateStorage("deviceInfo",{"deviceId":deviceId},true);
}

//获取聊天室Token
function getChatroomToken(){
	if(!getStorage().chatroomToken){
		var params = chatroomTokenParams();
		cordova.exec(function(sign){
			params.sign = sign;
			$.ajax({
				url:"http://"+domain+"/api/chatroom/get-token",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var chatroomToken = new Object();
						chatroomToken.token = data.message.token;
						chatroomToken.tv_token = data.message.tv_token;
						chatroomToken.chatUserId = data.message.chatUserId;
						updateStorage("chatroomToken",chatroomToken,true);
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
}

//获取版本信息
function getAppInfo(){
	var appInfo;
	var anaInited = false;
	cordova.exec(function(result){
		appInfo = getStorage().appInfo || new Object();
		appInfo.appVersion = result;
		updateStorage("appInfo",appInfo,true);
	},null,"ActivityManagerPlugin","getVersion",[]);
	cordova.exec(function(result){
		appInfo = getStorage().appInfo || new Object();
		appInfo.appVersionName = result;
		updateStorage("appInfo",appInfo,true);
		if(appInfo.appVersionName && appInfo.appChannel && !anaInited){
			anaInited = true;
			analyticsInit(appInfo.appVersionName,appInfo.appChannel);
		}
	},null,"ActivityManagerPlugin","getAppVersionName",[]);
	cordova.exec(function(result){
		appInfo = getStorage().appInfo || new Object();
		appInfo.appVersionCode = result;
		updateStorage("appInfo",appInfo,true);
	},null,"ActivityManagerPlugin","getAppVersionCode",[]);
	cordova.exec(function(result){
		appInfo = getStorage().appInfo || new Object();
		appInfo.appChannel = result;
		updateStorage("appInfo",appInfo,true);
		if(appInfo.appVersionName && appInfo.appChannel && !anaInited){
			anaInited = true;
			analyticsInit(appInfo.appVersionName,appInfo.appChannel);
		}
	},null,"ActivityManagerPlugin","getAppChannel",[]);
	cordova.exec(function(result){
		appInfo = getStorage().appInfo || new Object();
		appInfo.appSubChannel = result;
		updateStorage("appInfo",appInfo,true);
	},null,"ActivityManagerPlugin","getSubAppChannel",[]);
}

//获取加密的APPKEY
function getSystemKey(){
	if(!getStorage().systemKey){
		//获取加密的KEY
		$.ajax({
			url:"http://"+domain+"/api/app/system-key-info",
			type:"post",
			dataType:"json",
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					updateStorage("systemKey",data.message,true);
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	}
}

//赛事预约tag设置
function getEventOrderTag(){
	if(!getStorage().eventOrderTagArray || getStorage().eventOrderTagArray.length <= 0) {
		var eventOrderTagArray = new Array();
		if(getStorage().userInfo){
			var userId = getStorage().userInfo.userId;
			var deviceId = "";
		}
		else{
			var userId = "";
			var deviceId = getStorage().deviceInfo.deviceId;
		}
		var params = {
			userId : userId,
			deviceId : deviceId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/eventremind/remind-eventids",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var eventList = data.message;
						for (var i = 0; i < eventList.length; i++) {
							eventOrderTagArray.push("event_order_phone_"+eventList[i]);
						}
						updateStorage("eventOrderTagArray",eventOrderTagArray);
					}
					else{
						mui.alert(data.message+",将无法收到赛事预约提醒");
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
}

//获取屏蔽好友的列表
function getShieldFriends(){
	var userInfo = getStorage().userInfo;
	if(userInfo){
		var shieldFriends = getStorage().shieldFriends;
		if(!shieldFriends){
			var params = {
				userId : userInfo.userId,
				friendNickName : "",
				startIndex : 0,
				pageSize : 1000,
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/friend/listMyFriends",
					type:"post",
					dataType:"json",
					data:params,
					async:true,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							var friendsList = data.message.page.list;
							shieldFriends = new Array();
							for(var i = 0; i < friendsList.length; i ++){
								if(friendsList[i].isShield){
									shieldFriends.push(friendsList[i].friendId);
								}
							}
							updateStorage("shieldFriends",shieldFriends,true);
						}
						else{
							mui.alert(data.message);
						}
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
	}
}

//获取屏蔽发言的本地数据
function getShieldSpeak(){
	if(getStorage().userInfo && getStorage().eventData){
		var chatroomShield = getStorage().chatroomShield || new Array();
		var uid = getStorage().userInfo.userId;
		var eid = getStorage().eventData.eventId;
		var existEvent = eventIsShield(chatroomShield,eid);
		if(existEvent){
			var existUser = itemIsExist(chatroomShield[existEvent-1],uid);
			if(existUser){
				chatroomShield[existEvent-1].userList = chatroomShield[existEvent-1].userList.remove(uid);
			}
		}
		updateStorage("chatroomShield",chatroomShield,true);
	}
}

//存储IP
function getIP(){
	if(!getStorage().ip){
		var oBody = document.getElementsByTagName('BODY').item(0);
		window.idScript = document.createElement("script");
		idScript.type = "text/javascript";
		idScript.src = "http://pv.sohu.com/cityjson?ie=utf-8";
		oBody.appendChild(idScript);
		idScript.onload = function(){
			updateStorage("ip",returnCitySN["cip"],true);
			//alert(returnCitySN["cip"]+','+returnCitySN["cname"])
		}
	}
}

//设置参数初始化
function setSettingInfo(){
	if(!getStorage().settingInfo){
		var settingInfo = new Object();
		settingInfo.transparency = 1; //弹幕透明度;
		settingInfo.scale = 1; //弹幕字号;
		updateStorage("settingInfo",settingInfo);
	}
}

//获取加密的参数
function encryptParams(params){
	cordova.exec(function(result){
		params.sign = result;
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//成功获取token后跳转页面
function hrefByToken(href){
	var params = chatroomTokenParams();
	cordova.exec(function(sign){
		params.sign = sign;
		if(chatroomToken(params)){
			if(getStorage().linkData && getStorage().linkData.state == 2){
				if(getStorage().userInfo){
					var userId = getStorage().userInfo.userId;
					var mobileDeviceId = "";
				}
				else{
					var userId = "";
					var mobileDeviceId = getStorage().deviceInfo.deviceId;
				}
				var token = getStorage().chatroomToken.tv_token;
				cordova.exec(function(){
					//alert("token: "+token+" userId: "+userId+" mobileDeviceId: "+mobileDeviceId)
					top.location.href = href;
				},null,"MFLinkManagerPlugin","changeUser",[{"token":token,"userId":userId,"mobileDeviceId":mobileDeviceId}]);
			}
			else{
				top.location.href = href;
			}
		}
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//mui列表索引
function muiIndexedList(){
	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
	window.indexedList = new mui.IndexedList(list);
}

//判断未登录无权限访问跳转
function logoutGoto(){
	if(!getStorage().userInfo){
		top.location.href = "index.html";
	}
}

//登录要求提示
function loginTip(confirmText){
	mui.confirm(confirmText || '操作需要先登录，是否登录？', ' ', ['取消','登录'], function(e) {
		if(e.index == 1){
			updateStorage("loginPageUrl",top.location.href)
			top.location.href = 'login.html';
		}
	})
}

//验证码CD
function verifyCd(){
	var dom = $("#getVerify");
	if(dom.hasClass("disabled")){
		dom.removeClass("disabled").text("发送验证码");
		clearInterval(st);
	}
	var cd = 120;
	dom.addClass("disabled").text((cd--)+"秒后重发");
	window.st = setInterval(function(){
		if(cd > 0) {
			dom.text((cd--) + "秒后重发");
		}
		else{
			dom.removeClass("disabled").text("发送验证码");
			clearInterval(st);
		}
	},1000)
}

//通用表单验证
function checkForm(form){
	var returnVal = true;  //表单是否可提交
	var submitItems = form.find("[name]");  //表单所有提交项

	submitItems.each(function(i,item){
		//为必填项
		if($(item).attr("data-tipNull")){
			if($(item).attr("type") == "text" || $(item).attr("type") == "password" || $(item).attr("type") == "hidden" || $(item).attr("type") == "file" || $(item).attr("type") == "number" || $(item)[0].tagName == "SELECT" || $(item)[0].tagName == "TEXTAREA"){
				var itemVal = $(item).val();
				if(!itemVal || $(item).val().replace(/\s/g, "") == ""){
					mui.alert($(item).attr("data-tipNull"));
					returnVal = false;
					return false;
				}
			}
			if($(item).attr("type") == "radio" || $(item).attr("type") == "checkbox"){
				if(!form.find('[name="'+$(item).attr("name")+'"]:checked').val()){
					mui.alert($(item).attr("data-tipNull"));
					returnVal = false;
					return false;
				}
			}
			if($(item)[0].tagName == "SELECT" && ($(item).val() == "请选择省" || $(item).val() == "请选择市" || $(item).val() == "请选择区")){
				mui.alert($(item).attr("data-tipNull"));
				returnVal = false;
				return false;
			}
		}
		//填写不符合正则规则
		if($(item).attr("data-reg")){
			var itemVal = $(item).val().replace(/\s/g, "");
			if(itemVal != "" && itemVal != null){
				var regu = eval($(item).attr("data-reg"));
				var re = new RegExp(regu);
				if (!re.test(itemVal)) {
					mui.alert($(item).attr("data-tipReg"));
					returnVal = false;
					return false;
				}
			}
		}
		//两次输入不一致(仅限一个比较项)
		if(submitItems.filter("[data-same]").length > 0){
			var itemSameVal1 = submitItems.filter("[data-same]").eq(0).val().replace(/\s/g, "");
			var itemSameVal2 = submitItems.filter("[data-same]").eq(1).val().replace(/\s/g, "");
			if(itemSameVal1 != "" && itemSameVal2 != "" ){
				if(itemSameVal1 != itemSameVal2){
					mui.alert(submitItems.filter("[data-same]").eq(1).attr("data-tipSame"));
					returnVal = false;
					return false;
				}
			}
		}
	})

	return returnVal;
}

//判断字符串值的长度
function checkLength(str){
	var realLength = 0;
	for (var i = 0; i < str.length; i++){
		charCode = str.charCodeAt(i);
		if (charCode >= 0 && charCode <= 128)
			realLength += 1;
		else
			realLength += 2;
	}
	return realLength;
}

//判断字符串是否满足条件限制
function checkReg(str,reg){
	if(str.length != 0){
		var re = new RegExp(reg,"g");
		if (!re.test(str)) {
			return false;
		}
	}
	return true;
}

//判断列表中是否存在某项
function itemIsExist(list,item){
	var isExist = false;
	for(var i = 0; i < list.length; i ++){
		var listItem = list[i];
		if(listItem == item){
			isExist = true;
		}
	}
	return isExist;
}

//判断赛事是否有被屏蔽用户
function eventIsShield(list,eid){
	var isExist = false;
	for(var i = 0; i < list.length; i ++){
		var eventId = list[i].eventId;
		if(eventId == eid){
			isExist = i+1;
			break;
		}
	}
	return isExist;
}

Array.prototype.indexOf = function(val) {
	for (var i = 0; i < this.length; i++) {
		if (this[i] == val) return i;
	}
	return -1;
};
Array.prototype.remove = function(val) {
	var index = this.indexOf(val);
	if (index > -1) {
		this.splice(index, 1);
	}
	return this;
};
Array.prototype.del = function(n) {
	if(n < 0)　//如果n<0，则不进行任何操作。
		return this;
	else
		return this.slice(0,n).concat(this.slice(n+1,this.length));
}

function imgError(dom,type){
	switch(type){
		case 0 : //背景图
			$(dom).hide().siblings(".bg").show();
			break;
		case 1 : //头像
			dom.src = "images/prtDefault.jpg";
			break;
		case 2 : //队标
			dom.src = "images/teamDefault.jpg";
			break;
	}
}

function completeTask( taskType ) {
	if (getStorage().userInfo) {
		var params = {
			userid : getStorage().userInfo.userId,
			type : taskType,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;

//			alert("userid: " + getStorage().userInfo.userId + ", type: " + taskType + ", sign:" + result);
			$.ajax({
				url:"http://"+domain2+"/APPInterface/Api/complete_task",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				timeout : 15000,
				success:function(data) {
					// alert("result: " + data.result);
					// if(data.result && data.result == "1"){
					// }
					// else{
					// 	mui.alert(data.message);
					// }
				},
				complete : function(jqXHR,status){ //请求完成后最终执行参数
					// if(status == 'timeout'){
					// 	if($(".mui-toast-container.mui-active").length <= 0){
					// 		mui.toast("完成任务，请求超时",1000);
					// 	}
					// }
					// else if(status == 'error'){
					// 	if($(".mui-toast-container.mui-active").length <= 0){
					// 		mui.toast("完成任务，访问失败",3000);
					// 	}
					// }
					// $(".mui-popup-button").last().removeClass("mui-disabled");
				}
			})
		},null,"ActivityManagerPlugin","encryptParams",[params]);

	};
}